[suggest] Perl module update request list

Dag Wieers dag at wieers.com
Wed Nov 3 01:18:01 CET 2010


On Wed, 3 Nov 2010, Dag Wieers wrote:

> On Tue, 2 Nov 2010, Christoph Maser wrote:
>
>>  Am Freitag, den 29.10.2010, 14:00 +0200 schrieb Yury V. Zaytsev:
>> >  On Fri, 2010-10-29 at 13:46 +0200, Christoph Maser wrote:
>> > 
>> > >  I wonder if we can have a new version of ExtUtils::MakeMaker in the
>> > >  buildtools repo?
>> > 
>> >  If it backwards compatible why not? Just tag it as such...
>>
>>  But wich one will be used?. ExtUtils::MakeMaker in in the perl base
>>  package, so I guess a newe Version in the vendorlib dir will just not
>>  do.
>
> If this is the typical: we need the package only as a BuildRequirement, but 
> never as a real requirement. Then the package belongs in the buildtools 
> repository (together with the newer bison and flex).

Replying to the wrong message, again...

A newer version in the vendorlib should work for RHEL5. The only problem 
are the man-pages, which we can filter out with our fancy filtering macros !

If we plan to replace other modules from the perl package, I would propose 
we put them in the future 'extras' repositories where all packages will 
house that replace base (or depend on stuff that replace base).

Still need a good name for that though...

-- 
-- dag wieers, dag at wieers.com, http://dag.wieers.com/
-- dagit linux solutions, info at dagit.net, http://dagit.net/

[Any errors in spelling, tact or fact are transmission errors]



More information about the users mailing list